package com.huiju.welcome.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaGoodsOrders;
/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
public interface ITaGoodsOrdersService extends IService<TaGoodsOrders> {

    /**
     * 商品订单列表
     * @param pg
     * @param userName
     * @param userId
     * @param ordersNo
     * @return
     */
    ResponseBean goodsOrderList(IPage<TaGoodsOrders> pg, String userName, Integer userId, String ordersNo, Integer customerId);
    Integer getRecIdByCustomerIdCurrentDate(Integer customerId);
}
